Bug 570876 - Review Request: simple-scan - Simple scanning utility
Summary: Review Request: simple-scan - Simple scanning utility
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-05 18:41 UTC by Rahul Sundaram
Modified: 2010-03-09 07:42 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-09 07:29:23 UTC
mclasen: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Rahul Sundaram 2010-03-05 18:41:32 UTC
Spec URL: http://sundaram.fedorapeople.org/packages/simple-scan.spec
SRPM URL: http://sundaram.fedorapeople.org/packages/simple-scan-0.9.5-1.fc12.src.rpm

Description: 

Simple Scan is an easy-to-use application, designed to let users connect their
scanner and quickly have the image/document in an appropriate format.

Comment 1 Matthias Clasen 2010-03-07 23:33:41 UTC
Builds in mock,

rpmlint output:

simple-scan.src: W: strange-permission simple-scan-0.9.5.tar.gz 0600L
simple-scan.src: W: no-cleaning-of-buildroot %install
simple-scan.src: W: no-buildroot-tag
simple-scan.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/simple-scan.schemas
3 packages and 0 specfiles checked; 0 errors, 4 warnings.

The permission issue, you should probably fix when committing this to cvs, the rest are ignorable.

Comment 2 Matthias Clasen 2010-03-07 23:43:40 UTC
As an aside, I notice the following in the docs:

PNG files are not compressed like JPEG so they contain the raw data from the scanner.  This makes them much larger and not suitable for distributing.  If you have scanned multiple pages then a PNG file will be written for each page.

This seems confusing at best. The important difference between PNG and JPEG is not compressed vs uncompressed, but lossless vs lossy compression. Of course, it _could_ be that the application decides to save PNG uncompressed, but that would just be a very bad choice...

Comment 3 Matthias Clasen 2010-03-07 23:51:12 UTC
I don't have a scanner to test this with here at home, but at least the application detects this and handles it nicely.

Comment 4 Matthias Clasen 2010-03-08 00:13:47 UTC
checklist:

package name: ok
spec file name: ok
packaging guidelines: you need to add the usual gconf schema scriptlets, and the patch should have an upstream bug ref or something like that
license: ok
license field: ok
license file: ok
spec file language: ok
spec file legible: ok
upstream sources: ok
buildable: ok
ExcludeArch: ok, none
BuildRequires: the GConf2 BR is redundant, GConf2-devel will pull it in. Might be nice to group the autofoo + gnome-common requires with the patch that makes them necessary, and also add a comment to the autogen call that ties it to the patch
locale handling: ok
shared libs: ok, none
system libs: ok
relocatable: ok
directory ownership: might want to require yelp, for /usr/share/gnome/help (and to make help work)
duplicate files: ok
file permissions: ok
%clean: ok
macro use: ok
permissible content: yes
large docs: ok
%doc content: ok
headers: ok, none
static libs: ok, none
pc files: ok, none
shared libs: ok
devel package: ok
libtool archives: ok
gui apps: ok
duplicate ownership: ok
%install: outdated checklist item
utf8 filenames: ok


trivia: some trailing whitespace in the spec...

Comment 5 Rahul Sundaram 2010-03-08 06:46:28 UTC
(In reply to comment #2)
> As an aside, I notice the following in the docs:
> 
> PNG files are not compressed like JPEG 

Filed a bug report at

https://bugs.launchpad.net/simple-scan/+bug/534207

Comment 7 Michael Monreal 2010-03-08 08:43:46 UTC
Would be great to see this in F13 as gnome-scan does not really work for me and is basicly unmaintained¹ now...

[1] https://bugs.launchpad.net/simple-scan/+bug/483669/comments/1

Comment 8 Matthias Clasen 2010-03-08 18:27:45 UTC
Looks good now. Approved.

Comment 9 Rahul Sundaram 2010-03-08 18:38:09 UTC
New Package CVS Request
=======================
Package Name:  simple-scan
Short Description:  Simple scanning utility
Owners: sundaram
Branches: F-13 
InitialCC:

Comment 10 Kevin Fenzi 2010-03-09 06:19:40 UTC
CVS done (by process-cvs-requests.py).


Note You need to log in before you can comment on or make changes to this bug.